Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.jest
Class FindCommand

    java.lang.Object
      org.apache.openjpa.persistence.jest.AbstractCommand
          org.apache.openjpa.persistence.jest.FindCommand

All Implemented Interfaces:
  JESTCommand

     class FindCommand

extends AbstractCommand

Author:
  Pinaki Poddar

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.openjpa.persistence.jest.JESTCommand
`JESTCommand.Format`

Field Summary

Fields inherited from class org.apache.openjpa.persistence.jest.AbstractCommand
`_ctx, _formatter, _loc, EMPTY_LIST, EQUAL, PATH_SEPARATOR`

Constructor Summary
`FindCommand(JPAServletContext ctx)`

Method Summary
`protected Collection<String>` | `getMandatoryArguments()` Gets the mandatory arguments.
`protected int` | `getMinimumArguments()` Gets the minimum number of arguments excluding the mandatory arguments.
`protected Collection<String>` | `getValidQualifiers()` Gets the valid qualifiers.
`void` | `process()` Process the given request and write the output on to the given response in the given context.

Methods inherited from class org.apache.openjpa.persistence.jest.AbstractCommand
`debug, getArgument, getArguments, getDefaultFormat, getExecutionContext, getMandatoryArgument, getMaximumArguments, getObjectFormatter, getQualifier, getQualifiers, hasArgument, hasQualifier, isBooleanQualifier, parse, popFetchPlan, pushFetchPlan, toStateManager, toStateManager, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindCommand

    public FindCommand(JPAServletContext ctx)

Method Detail

### getMandatoryArguments

    protected Collection<String> getMandatoryArguments()

  Description copied from class: `AbstractCommand`
  Gets the mandatory arguments.

  Overrides:
    `getMandatoryArguments` in class `AbstractCommand`
  Returns:
    empty list by default.

### getMinimumArguments

    protected int getMinimumArguments()

  Description copied from class: `AbstractCommand`
  Gets the minimum number of arguments excluding the mandatory arguments.

  Overrides:
    `getMinimumArguments` in class `AbstractCommand`
  Returns:
    zero by default.

### getValidQualifiers

    protected Collection<String> getValidQualifiers()

  Description copied from class: `AbstractCommand`
  Gets the valid qualifiers.

  Overrides:
    `getValidQualifiers` in class `AbstractCommand`
  Returns:
    empty list by default.

### process

    public void process()
                 throws ProcessingException

  Description copied from interface: `JESTCommand`
  Process the given request and write the output on to the given response in the given context.

  Throws:
    `ProcessingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.